XmlDecimal (xmlbeans API)

org.apache.xmlbeans

## Interface XmlDecimal

- All Superinterfaces:
    XmlAnySimpleType, XmlObject, XmlTokenSource
  All Known Subinterfaces:
    All.MinOccurs, NarrowMaxMin.MinOccurs, XmlByte, XmlInt, XmlInteger, XmlLong, XmlNegativeInteger, XmlNonNegativeInteger, XmlNonPositiveInteger, XmlPositiveInteger, XmlShort, XmlUnsignedByte, XmlUnsignedInt, XmlUnsignedLong, XmlUnsignedShort
  All Known Implementing Classes:
    AllImpl.MaxOccursImpl, AllImpl.MinOccursImpl, AllNNIImpl, NarrowMaxMinImpl.MaxOccursImpl, NarrowMaxMinImpl.MinOccursImpl, XmlByteImpl, XmlDecimalImpl, XmlDecimalRestriction, XmlIntegerImpl, XmlIntegerRestriction, XmlIntImpl, XmlIntRestriction, XmlLongImpl, XmlLongRestriction, XmlNegativeIntegerImpl, XmlNonNegativeIntegerImpl, XmlNonPositiveIntegerImpl, XmlPositiveIntegerImpl, XmlShortImpl, XmlUnsignedByteImpl, XmlUnsignedIntImpl, XmlUnsignedLongImpl, XmlUnsignedShortImpl

      public interface XmlDecimal
      extends XmlAnySimpleType

  Corresponds to the XML Schema xs:decimal type.

  Convertible to `BigDecimal`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XmlObjectFactory<XmlDecimal>` | `Factory`
    `static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigDecimal` | `getBigDecimalValue()` Returns this value as a `BigDecimal`
    `void` | `setBigDecimalValue(BigDecimal bd)` Sets this value as a `BigDecimal`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final XmlObjectFactory<XmlDecimal> Factory

    - #### type

          static final SchemaType type

      The constant `SchemaType` object representing this schema type.

  - ### Method Detail

    - #### getBigDecimalValue

          BigDecimal getBigDecimalValue()

      Returns this value as a `BigDecimal`

    - #### setBigDecimalValue

          void setBigDecimalValue(BigDecimal bd)

      Sets this value as a `BigDecimal`